<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


//JSONを扱うためのパーサ
//require_once(WEBAPP_DIR."/JSON.php");

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Customer_Itemattribute_Review_Input
{
//変更か登録かを確認する変数
    var $mode;
//変更か登録かで変化するページタイトル・ボタンの名前・URL
    var $pagetitle;
//入力されるランクとコメントの値
    var $rank;
    var $comment;
    var $itemcd;   // 登録用
//データベースから値をもらってくるためのID　変更用
    var $reviewcd;
//表示用変数
    var $detail;
    var $session;
//table操作
    var $c_item;
    var $c_review;
    
    var $auth;
    
    var $rtn_review;
    var $rtn_item;

    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Customer_Itemattribute_Review_Inputが実行されました", "Customer_Itemattribute_Review_Input#execute");
        
        // レビュー情報
        $this->rtn_review = $this -> c_review -> getItemReview($this->auth->getAuthData("membercd"), $this->itemcd);

        if($this->rtn_review==false) {
            $this->mode = 'insert';
            $this->pagetitle = '登録';
        } else {
            $this->mode = 'change';
            $this->pagetitle = '変更';
            // 戻ってきた時の処理
            if( empty($this->rank) ) {
                $this->rank = $this->rtn_review['rankingrate'];
            }
            if( empty($this->comment) ) {
                $this->comment = $this->rtn_review['comment'];
            }
        }
        // 商品情報
        $this->rtn_item = $this -> c_item -> getItemName($this -> itemcd);
        
        
        if($this->rtn_item!=false){
            return 'success';
        } else {
            return 'input';
        }
    }
}
?>
